DownloadJoker Download : Programming : Library Components : prevnext Components for C# and VB.Net developers

Components for C# and VB.Net developers

Allows C# and VB.Net developers to add scripting possibility to the applications - Windows Demo $29. Alvas.Scriptor - components set, which adds scripting possibility to Your applications. It allows to create adaptable applications with easy changable logic and interface. Components can be used in Windows.Forms, ASP.NET and Webservices. Scripts can be written in all main .Net programming languages: C#, VB.Net, JScipt.Net, J#. Scripts code can be divided to some modules. Scripts code can be storaged in memory, files, database etc. You can define Your own classes, create objects and assign event handlers.

Alvas.Scriptor 2.0   3-Jan-05   English   103 KB

For example, You can create project with empty form, place Scriptor on the form and then load components and controls from the script. This gives possibilities to changed dynamically interface and logic of applications. All components are written in C# Requirements: .Net Framework v1.0 or later Recommended: .Net Framework with Visual Studio .Net 7.0 or later Part of Alvas.Suite Scriptor is simple in use component, which has only 2 main methods. LoadAndCompile loads script codes to memory and compiles to assembly. ExecuteMethod calls class method from script. Could be invoke as well static methods as instance methods. ScriptorOptionsConfig - reads out Scriptor settings from *.config - file ScriptorOptionsRegistry - reads out Scriptor settings from register ScriptorOptionsSql - reads out Scriptor settings from MS SQLServer ScriptorOptionsOleDb - reads out Scriptor settings from any OleDb database Moreover you can write yourself configuration class inherited from ScriptorOptionsBase.

Vb Components Allows. Developers Possibility Applications.   Alvas.Scriptor
  • Demo Download from Alvas.Net
  • Screenshot
  • WinXP, Win2000, Win2003
  • Install and Uninstall
  • Minor Update
  • Changes since the last release: Some bug-fixes and improvements.
  • Requirements: .Net framework 1.0 or later